Subject: Re: bug#17589: 24.3.91; lisp/frameset.el

From: martin rudalics <[email-masked]>
Date: Tue, 27 May 2014 11:13:45 +0200

>>   We probably want a more general
 >> solution in desktop.el to restore the connection between files visited
 >> and the names of the respective buffers in some unified manner.
 >
 > That won't help in this particular case, where buffers are live in the same
 > session, just renamed since the call to window-state-get, and desktop.el
 > isn't involved at all.

Yes.  I meant that in the line before.

 > I think we'd need an optional arg to w-s-g to use in live sessions

WRITABLE?

 > , where
 > it would store refs to live buffers instead of their names (and code in
 > w-s-p to deal with it, of course).

Wouldn't `get-buffer' in `window-state-put-2' handle that already?

martin